Bug 153449 - [PATCH] fix www/awstats awstats_configure.pl to run on BSD
Summary: [PATCH] fix www/awstats awstats_configure.pl to run on BSD
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Sahil Tandon
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-12-26 02:20 UTC by Chris Petrik
Modified: 2011-02-06 04:20 UTC (History)
0 users

See Also:


Attachments
file.diff (5.92 KB, patch)
2010-12-26 02:20 UTC, Chris Petrik
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Petrik 2010-12-26 02:20:08 UTC
awstats_configure does not work in BSD due to it trying to edit the awstats_model.conf file in wwwroot. This dir does not exist. I managed to fix this on my VPS symlinking www/awstats www/awstats/wwwroot but this is not a valid fix. 

Added some example config files for BSD, due to the way bsd.apache.mk works I could make it detect which version based on APACHE_VER so I added apache(13,22)

Fix: Patch attached with submission follows:
How-To-Repeat: cd /usr/ports/www/awstats ; make install clean && ./usr/local/www/awstats/tools/awstats_configure.pl will die on the 4-5th step.
Comment 1 Edwin Groothuis freebsd_committer 2010-12-26 02:20:13 UTC
Maintainer of www/awstats,

Please note that PR ports/153449 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/153449

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2010-12-26 02:20:15 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Pav Lucistnik freebsd_committer 2011-01-16 18:15:32 UTC
State Changed
From-To: feedback->open

Maintainer timeout
Comment 4 Sahil Tandon freebsd_committer 2011-02-03 02:08:32 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sahil

Take.
Comment 5 Oleksii Samorukov freebsd_committer 2011-02-03 07:13:11 UTC
I am approving, sorry for a very late reply
Comment 6 dfilter service freebsd_committer 2011-02-06 04:11:24 UTC
sahil       2011-02-06 04:11:17 UTC

  FreeBSD ports repository

  Modified files:
    www/awstats          Makefile 
    www/awstats/files    patch-tools-awstats_configure.pl 
  Log:
  - Tweak upstream configure script to run on FreeBSD [1]
  - Replace spaces with tabs to pacify portlint
  
  PR:             ports/153449 [1]
  Submitted by:   Chris Petrik <c.petrik.sosa@gmail.com>
  Approved by:    Alex Samorukov <samm@os2.kiev.ua> (maintainer)
  Feature safe:   yes
  
  Revision  Changes    Path
  1.45      +5 -4      ports/www/awstats/Makefile
  1.2       +77 -6     ports/www/awstats/files/patch-tools-awstats_configure.pl
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Sahil Tandon freebsd_committer 2011-02-06 04:11:49 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!